package com.liang.entity;

import java.util.List;

public class TaskToWordEntity {
    private TaskCoverEntity taskCover;

    private TaskBaseEntity taskBase;

    private String yjnr;

    private List<TaskDivisionPlanEntity> subKtList;

    private List<ProgressPlanEntity> xmjdjhList;
    private List<TaskCheckPlanEntity> ktjdjhykhyqList;

    private List<AnnuaBudgetEntity> jfysList;//经费预算安排内容

    private String xmjfdx;//项目经费大写
    private String xmjfxx;//项目经费小写
    private List<FundingPlanEntity> czfajzfjhList;//出资方案及支付计划

    private List<PersonEntity> ktfzrList;//课题负责人
    private List<PersonEntity> zygzryList;//主要工作人员

    private List<ContactEntity> xmgldwList;//项目管理单位
    private List<ContactEntity> xmcddwList;//项目承担单位
    private List<ContactEntity> xmczdwList;//项目出资单位

    public TaskCoverEntity getTaskCover() {
        return taskCover;
    }

    public void setTaskCover(TaskCoverEntity taskCover) {
        this.taskCover = taskCover;
    }

    public TaskBaseEntity getTaskBase() {
        return taskBase;
    }

    public void setTaskBase(TaskBaseEntity taskBase) {
        this.taskBase = taskBase;
    }

    public String getYjnr() {
        return yjnr;
    }

    public void setYjnr(String yjnr) {
        this.yjnr = yjnr;
    }

    public List<TaskDivisionPlanEntity> getSubKtList() {
        return subKtList;
    }

    public void setSubKtList(List<TaskDivisionPlanEntity> subKtList) {
        this.subKtList = subKtList;
    }

    public List<ProgressPlanEntity> getXmjdjhList() {
        return xmjdjhList;
    }

    public void setXmjdjhList(List<ProgressPlanEntity> xmjdjhList) {
        this.xmjdjhList = xmjdjhList;
    }

    public List<TaskCheckPlanEntity> getKtjdjhykhyqList() {
        return ktjdjhykhyqList;
    }

    public void setKtjdjhykhyqList(List<TaskCheckPlanEntity> ktjdjhykhyqList) {
        this.ktjdjhykhyqList = ktjdjhykhyqList;
    }

    public List<AnnuaBudgetEntity> getJfysList() {
        return jfysList;
    }

    public void setJfysList(List<AnnuaBudgetEntity> jfysList) {
        this.jfysList = jfysList;
    }

    public String getXmjfdx() {
        return xmjfdx;
    }

    public void setXmjfdx(String xmjfdx) {
        this.xmjfdx = xmjfdx;
    }

    public String getXmjfxx() {
        return xmjfxx;
    }

    public void setXmjfxx(String xmjfxx) {
        this.xmjfxx = xmjfxx;
    }

    public List<FundingPlanEntity> getCzfajzfjhList() {
        return czfajzfjhList;
    }

    public void setCzfajzfjhList(List<FundingPlanEntity> czfajzfjhList) {
        this.czfajzfjhList = czfajzfjhList;
    }

    public List<PersonEntity> getKtfzrList() {
        return ktfzrList;
    }

    public void setKtfzrList(List<PersonEntity> ktfzrList) {
        this.ktfzrList = ktfzrList;
    }

    public List<PersonEntity> getZygzryList() {
        return zygzryList;
    }

    public void setZygzryList(List<PersonEntity> zygzryList) {
        this.zygzryList = zygzryList;
    }

    public List<ContactEntity> getXmgldwList() {
        return xmgldwList;
    }

    public void setXmgldwList(List<ContactEntity> xmgldwList) {
        this.xmgldwList = xmgldwList;
    }

    public List<ContactEntity> getXmcddwList() {
        return xmcddwList;
    }

    public void setXmcddwList(List<ContactEntity> xmcddwList) {
        this.xmcddwList = xmcddwList;
    }

    public List<ContactEntity> getXmczdwList() {
        return xmczdwList;
    }

    public void setXmczdwList(List<ContactEntity> xmczdwList) {
        this.xmczdwList = xmczdwList;
    }
}

//封面
class TaskCoverEntity {
    private String zwmc;    //中文名称
    private String zycddw;    //承担单位
    private String czdw;    //出资单位
    private String qzsj;    //起止时间

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getZycddw() {
        return zycddw;
    }

    public void setZycddw(String zycddw) {
        this.zycddw = zycddw;
    }

    public String getCzdw() {
        return czdw;
    }

    public void setCzdw(String czdw) {
        this.czdw = czdw;
    }

    public String getQzsj() {
        return qzsj;
    }

    public void setQzsj(String qzsj) {
        this.qzsj = qzsj;
    }

}

//基本信息
class TaskBaseEntity {
    private String zwmc;    //中文名称
    private String zjf;    //总经费
    private String ssqx;    //实施期限
    private String zycddw;    //主要承担单位
    private String cddws;    //承担单位数
    private String xmfzrxm;    //项目负责人姓名
    private String xmfzrdw;    //项目负责人单位
    private String xmfzrxb;    //项目负责人性别
    private String xmfzrnl;    //项目负责人年龄
    private String xmfzrzy;    //项目负责人专业
    private String xmfzrzc;    //项目负责人职称
    private String yjryzrs;    //研究人员总人数
    private String gjzc;    //高级职称数
    private String zjzc;    //中级职称数
    private String cjzc;    //初级职称数
    private String yjs;    //研究生数
    private List<CddwEntity> cddwList;
    private List<KtEntity> ktList;

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getZjf() {
        return zjf;
    }

    public void setZjf(String zjf) {
        this.zjf = zjf;
    }

    public String getSsqx() {
        return ssqx;
    }

    public void setSsqx(String ssqx) {
        this.ssqx = ssqx;
    }

    public String getZycddw() {
        return zycddw;
    }

    public void setZycddw(String zycddw) {
        this.zycddw = zycddw;
    }

    public String getCddws() {
        return cddws;
    }

    public void setCddws(String cddws) {
        this.cddws = cddws;
    }

    public String getXmfzrxm() {
        return xmfzrxm;
    }

    public void setXmfzrxm(String xmfzrxm) {
        this.xmfzrxm = xmfzrxm;
    }

    public String getXmfzrdw() {
        return xmfzrdw;
    }

    public void setXmfzrdw(String xmfzrdw) {
        this.xmfzrdw = xmfzrdw;
    }

    public String getXmfzrxb() {
        return xmfzrxb;
    }

    public void setXmfzrxb(String xmfzrxb) {
        this.xmfzrxb = xmfzrxb;
    }

    public String getXmfzrnl() {
        return xmfzrnl;
    }

    public void setXmfzrnl(String xmfzrnl) {
        this.xmfzrnl = xmfzrnl;
    }

    public String getXmfzrzy() {
        return xmfzrzy;
    }

    public void setXmfzrzy(String xmfzrzy) {
        this.xmfzrzy = xmfzrzy;
    }

    public String getXmfzrzc() {
        return xmfzrzc;
    }

    public void setXmfzrzc(String xmfzrzc) {
        this.xmfzrzc = xmfzrzc;
    }

    public String getYjryzrs() {
        return yjryzrs;
    }

    public void setYjryzrs(String yjryzrs) {
        this.yjryzrs = yjryzrs;
    }

    public String getGjzc() {
        return gjzc;
    }

    public void setGjzc(String gjzc) {
        this.gjzc = gjzc;
    }

    public String getZjzc() {
        return zjzc;
    }

    public void setZjzc(String zjzc) {
        this.zjzc = zjzc;
    }

    public String getCjzc() {
        return cjzc;
    }

    public void setCjzc(String cjzc) {
        this.cjzc = cjzc;
    }

    public String getYjs() {
        return yjs;
    }

    public void setYjs(String yjs) {
        this.yjs = yjs;
    }

    public List<CddwEntity> getCddwList() {
        return cddwList;
    }

    public void setCddwList(List<CddwEntity> cddwList) {
        this.cddwList = cddwList;
    }

    public List<KtEntity> getKtList() {
        return ktList;
    }

    public void setKtList(List<KtEntity> ktList) {
        this.ktList = ktList;
    }
}

//课题设置
class KtEntity {
    private String xh;    //课题序号
    private String mc;    //课题名称
    private String fzr;    //课题负责人
    private String dw;    //课题单位

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getFzr() {
        return fzr;
    }

    public void setFzr(String fzr) {
        this.fzr = fzr;
    }

    public String getDw() {
        return dw;
    }

    public void setDw(String dw) {
        this.dw = dw;
    }

}

//承担单位
class CddwEntity {
    private String xh;//序号
    private String mc;//名称
    private String jf;//经费

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getJf() {
        return jf;
    }

    public void setJf(String jf) {
        this.jf = jf;
    }
}

//分工安排
class TaskDivisionPlanEntity {
    private String mc;    //课题名称
    private String yjnr;    //课题研究内容
    private String cddw;    //课题承担单位
    private String jf;    //课题经费

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getYjnr() {
        return yjnr;
    }

    public void setYjnr(String yjnr) {
        this.yjnr = yjnr;
    }

    public String getCddw() {
        return cddw;
    }

    public void setCddw(String cddw) {
        this.cddw = cddw;
    }

    public String getJf() {
        return jf;
    }

    public void setJf(String jf) {
        this.jf = jf;
    }
}

//课题进度计划及考核要求#list ktjdjhykhyqList as ktjdjhykhyq
class TaskCheckPlanEntity {
    private String mc;    //名称
    private String qzsj;    //起止时间
    private String yjnr;    //研究内容
    private String khzb;    //考核指标

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getQzsj() {
        return qzsj;
    }

    public void setQzsj(String qzsj) {
        this.qzsj = qzsj;
    }

    public String getYjnr() {
        return yjnr;
    }

    public void setYjnr(String yjnr) {
        this.yjnr = yjnr;
    }

    public String getKhzb() {
        return khzb;
    }

    public void setKhzb(String khzb) {
        this.khzb = khzb;
    }
}

//项目进度计划 #list xmjdjhList as xmjdjh
class ProgressPlanEntity {
    private String xh;    //序号
    private String ktmc;    //课题名称
    private String qzsj;    //起止时间

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getKtmc() {
        return ktmc;
    }

    public void setKtmc(String ktmc) {
        this.ktmc = ktmc;
    }

    public String getQzsj() {
        return qzsj;
    }

    public void setQzsj(String qzsj) {
        this.qzsj = qzsj;
    }
}

////经费预算安排
class AnnuaBudgetEntity {

    private List<String> jfysdwList; //列头单位////经费预算安排
    private String mc;    //名称
    private String ysje;    //预算金额
    private List<String> dwList;  // 单位费用  #list jfys.dwList as dw
    private String je;    //金额
    private String bz;    //备注

    public List<String> getJfysdwList() {
        return jfysdwList;
    }

    public void setJfysdwList(List<String> jfysdwList) {
        this.jfysdwList = jfysdwList;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getYsje() {
        return ysje;
    }

    public void setYsje(String ysje) {
        this.ysje = ysje;
    }

    public List<String> getDwList() {
        return dwList;
    }

    public void setDwList(List<String> dwList) {
        this.dwList = dwList;
    }

    public String getJe() {
        return je;
    }

    public void setJe(String je) {
        this.je = je;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
}


//出资方案及支付计划
class FundingPlanEntity {
    private String year;    //年
    private List<FundingPlayYearEntity> czfajzfjhYearList;

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public List<FundingPlayYearEntity> getCzfajzfjhYearList() {
        return czfajzfjhYearList;
    }

    public void setCzfajzfjhYearList(List<FundingPlayYearEntity> czfajzfjhYearList) {
        this.czfajzfjhYearList = czfajzfjhYearList;
    }
}

//当年计划 #list czfajzfjhYearList as czfajzfjhYear
class FundingPlayYearEntity {
    private String xh;    //序号
    private String dw;    //单位
    private String je;    //金额
    private String cddw;    //承担单位
    private String skje;    //收款金额
    private String bz;    //备注

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getDw() {
        return dw;
    }

    public void setDw(String dw) {
        this.dw = dw;
    }

    public String getJe() {
        return je;
    }

    public void setJe(String je) {
        this.je = je;
    }

    public String getCddw() {
        return cddw;
    }

    public void setCddw(String cddw) {
        this.cddw = cddw;
    }

    public String getSkje() {
        return skje;
    }

    public void setSkje(String skje) {
        this.skje = skje;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
}

//研究人员
class PersonEntity {
    private String xm;    //姓名
    private String csny;    //出生年月
    private String zcxl;    //职称学历
    private String zytc;    //主要特长
    private String xmfg;    //本项目中分工
    private String trgzzys;    //投入工作总月数
    private String gzdw;    //工作单位

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getCsny() {
        return csny;
    }

    public void setCsny(String csny) {
        this.csny = csny;
    }

    public String getZcxl() {
        return zcxl;
    }

    public void setZcxl(String zcxl) {
        this.zcxl = zcxl;
    }

    public String getZytc() {
        return zytc;
    }

    public void setZytc(String zytc) {
        this.zytc = zytc;
    }

    public String getXmfg() {
        return xmfg;
    }

    public void setXmfg(String xmfg) {
        this.xmfg = xmfg;
    }

    public String getTrgzzys() {
        return trgzzys;
    }

    public void setTrgzzys(String trgzzys) {
        this.trgzzys = trgzzys;
    }

    public String getGzdw() {
        return gzdw;
    }

    public void setGzdw(String gzdw) {
        this.gzdw = gzdw;
    }
}

//联系方式
class ContactEntity {
    private String xh;    //序号
    private String mc;    //名称
    private String lxr;    //联系人
    private String gddh;    //固定电话
    private String dzyj;    //电子邮件
    private String yddh;    //移动电话
    private String yzbm;    //邮编
    private String cz;    //传真
    private String yjdz;    //邮寄地址

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getGddh() {
        return gddh;
    }

    public void setGddh(String gddh) {
        this.gddh = gddh;
    }

    public String getDzyj() {
        return dzyj;
    }

    public void setDzyj(String dzyj) {
        this.dzyj = dzyj;
    }

    public String getYddh() {
        return yddh;
    }

    public void setYddh(String yddh) {
        this.yddh = yddh;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getCz() {
        return cz;
    }

    public void setCz(String cz) {
        this.cz = cz;
    }

    public String getYjdz() {
        return yjdz;
    }

    public void setYjdz(String yjdz) {
        this.yjdz = yjdz;
    }
}
